<?php

namespace App\Policies;

use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class RecipeVersionPolicy extends BasePolicy
{
    use HandlesAuthorization;


    public $key = 'recipe_version';

    public function viewAny(User $user): bool
    {
        return parent::viewAny($user);
    }

    public function view(User $user, $recipeVersion): bool
    {
        return parent::view($user, $recipeVersion);
    }

    public function create(User $user): bool
    {
        return parent::create($user);
    }

    public function update(User $user, $recipeVersion): bool
    {
        return parent::update($user, $recipeVersion);
    }

    public function delete(User $user, $recipeVersion): bool
    {
        return parent::delete($user, $recipeVersion);
    }

    public function restore(User $user, $recipeVersion): bool
    {
        return parent::restore($user, $recipeVersion);
    }

    public function forceDelete(User $user, $recipeVersion): bool
    {
        return parent::forceDelete($user, $recipeVersion);
    }
}
